[pkg-fso-commits] [files] 01/02: Adjusted error message for non root, no -1 exit

Steffen Möller moeller at moszumanska.debian.org
Sat Apr 1 10:24:13 UTC 2017


This is an automated email from the git hooks/post-receive script.

moeller pushed a commit to branch master
in repository files.

commit 691cd6ccbcecf91152f8d9b9f6566f7c51ba52dc
Author: Steffen Moeller <moeller at debian.org>
Date:   Sat Apr 1 12:04:54 2017 +0200

    Adjusted error message for non root, no -1 exit
---
 install.sh | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/install.sh b/install.sh
index 478d659..d51377a 100755
--- a/install.sh
+++ b/install.sh
@@ -640,6 +640,9 @@ action_testing () {
 
 	if [ -n "$intern_packages_missing" ]; then
 		echo -e "E: Could not find the following binaries: $intern_packages_missing.$intern_extra_information"
+		if [ $(whoami) != "root" ]; then
+			echo "   These may only be accessible for the root user."
+		fi
 		exit 1
 	fi
 
@@ -954,7 +957,7 @@ E: Could not download debian bootstrap tool '$BOOTSTRAPPER'. Check
    version shown is the same as in
    $intern_bootstrapper_package .
 EOWGETFAILURE
-		exit -1
+		exit 1
 	fi
 	rm -f /tmp/data.tar.gz # FIXME: ar should just overwrite it
 	(

-- 
Alioth's hooks/post-receive on /srv/git.debian.org/git/pkg-fso/files.git



More information about the pkg-fso-commits mailing list